diff --git a/sndoutput.py b/sndoutput.py
index 5b8274f..015773c 100644
--- a/sndoutput.py
+++ b/sndoutput.py
@@ -130,7 +130,7 @@ class SndOutput(Thread):
                         raise
                     trace('device is busy')
                     if self.bufsize==-1 and time.time() -start > 4.0:
-                        raise 'Sound device is busy'
+                        raise BaseException('Sound device is busy')
                     time.sleep(0.5)
             self.dsp.setparameters(ossaudiodev.AFMT_S16_LE, 1, self.rate, 0)
             fcntl.ioctl(self.dsp.fileno(), SNDCTL_DSP_SETFRAGMENT, FRAGCODE, 1)
